package com.changhu.common.db.enums;

import com.changhu.common.db.BaseEnum;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author 20252
 * @createTime 2024/9/6 上午11:13
 * @desc UserType...
 */
@AllArgsConstructor
@Getter
public enum UserType implements BaseEnum<String> {
    MANAGEMENT_POLICE("management_police", "公安后台用户"),
    MANAGEMENT_SECURITY("management_security", "保安后台用户"),
    MANAGEMENT_SUPER("management_super", "超级后台用户"),

    MINI_PROGRAM_POLICE("mini_program_police", "小程序公安用户"),
    MINI_PROGRAM_PROJECT_MANAGE("mini_program_project_manage", "小程序项目经理");

    private final String value;
    private final String label;
}
